Skip to main content
Version: Version 2.0

Unarchive a participant

This endpoint enables you to restore a participant from the archive.

How to use​

You can use the following cURL to obtain a response from this endpoint:

curl --location --request PUT https://api.superviz.com/participants/{id}/unarchive \
--header "client_id: ${YOUR CLIENT_ID}" \
--header "secret: ${YOUR SECRET}"

HTTP Request​

PUT https://api.superviz.com/participants/{id}/unarchive

In the request, you will need to send in the path following field:

NameDescription
idRequired. The ID of the participant you want to restore.

Headers​

When using this endpoint, you need to provide the Client ID and Secret Key. The following headers are required:

NameDescription
client_idRequired. You need to use the Client ID to authenticate in this repository. You can retrieve your Client ID under the Dashboard > Developer > Keys.
secretRequired. You need to use the Secret Key to authenticate in this repository. You can create a new API Secret under our Dashboard > Developer > Keys.

Response​

Status code 200 will indicate that the participant restored successfully. The response will be in JSON format and include the following fields:

NameTypeDescription
idstringThe ID of the participant.
namestringThe name of the participant.
emailstringThe email of the participant.
avatarstringThe avatar of the participant.
createdAtstringThe date and time of the participant's creation.

Example:

{
"id": "example-id",
"name": "John Doe",
"email": "john@doe.com",
"avatar": "https://example.com/avatar.png",
"createdAt": "2021-05-30T21:23:00.000Z"
}